{#-

    Template for generating informational summary reports about Mentat system
    performance in plain text format.

    Author: Jan Mach <jan.mach@cesnet.cz>

#}
{%- import '_labels.j2' as report_labels -%}

{%- macro render_stats_table(chstats, chsection) %}
    {%- if chsection in chstats %}
        {%- set chdata = chstats[chsection] %}
        {%- set chkeys = sort_keys_desc(chstats[chsection]) %}
        {%- set chsum  = sum_dict(chstats[chsection]) %}
{{ '{}'.format('-' * 90) }}
        {%- for chitemkey in chkeys %}
{{ '{:>2d}'.format(loop.index) }} {{ '{:60s}'.format(format_section_key(chsection, chitemkey)) }} {{ '{:>17s}'.format(format_decimal(chdata.get(chitemkey, 0))) }} {{ '{:>6.2f} %'.format(chdata.get(chitemkey, 0)/chsum*100) }}
        {%- endfor %}
{{ '{}'.format('-' * 90) }}
{{ '{}'.format(' ' * 63) }} {{ '{:>17s}'.format(format_decimal(chsum)) }} 100.00 %
    {%- else %}
- {{ _('No data') }}
    {%- endif %}
{%- endmacro %}
{{ '{}'.format('*' * 90) }}

{{ title | upper | center(90) }}

{{ '{}'.format('*' * 90) }}

{{ '{:40s}'.format(_('Total number of events:')) }} {{ '{:>10s}'.format(format_decimal(stats_events.get('count', 0))) }}
{{ '{:40s}'.format(_('Number of generated reports:')) }} {{ '{:>10s}'.format(format_decimal(stats_reports_cnt_all)) }} ({{ format_decimal(stats_reports_cnt) }} {{ _('summary') }}, {{ format_decimal(stats_reports_cnt_all - stats_reports_cnt) }} {{ _('extra') }})
{{ '{:40s}'.format(_('Number of sent emails:')) }} {{ '{:>10s}'.format(format_decimal(stats_reports.get('cnt_emails', 0))) }}
{{ '{:40s}'.format(_('Number of reported events:')) }} {{ '{:>10s}'.format(format_decimal(stats_reports.get('cnt_events', 0))) }}
{{ '{:40s}'.format(_('Summary for time period:')) }} {{ format_tzdatetime(dt_l) }} - {{ format_tzdatetime(dt_h) }} ({{ format_timedelta(dt_h - dt_l ) }})

{{ _('Contents') | upper }}
{{ '{}'.format('=' * 90) }}
A. {{ _('Event processing statistics') }}
{%- for chsection in ('ips', 'categories', 'detectors', 'analyzers', 'abuses', 'asns', 'countries') %}
{{ 'A.{:d}'.format(loop.index) }} {{ report_labels.section_label_evt(chsection) }}:
{%- endfor %}
B. {{ _('Event reporting statistics') }}
{%- for chsection in ('emails', 'ips', 'categories', 'detectors', 'analyzers', 'abuses', 'asns', 'countries') %}
{{ 'B.{:d}'.format(loop.index) }} {{ report_labels.section_label_rep(chsection) }}:
{%- endfor %}


A. {{ _('Event processing statistics') }}
{{ '{}'.format('=' * 90) }}

{%- for chsection in ('ips', 'categories', 'detectors', 'analyzers', 'abuses', 'asns', 'countries') %}
{{ '[A.{:d}]'.format(loop.index) }} {{ report_labels.section_label_evt(chsection) }}
{{
    render_stats_table(
        stats_events['stats_overall'],
        chsection
    )
}}
{% endfor %}

{{ _('You may also view this summary report online:') }}
{{ format_url(additional_vars['url_dashboard_proc'], {'submit': 'Search', 'dt_from': dt_l.isoformat(sep = ' '), 'dt_to': dt_h.isoformat(sep = ' ')}) }}

A. {{ _('Event reporting statistics') }}
{{ '{}'.format('=' * 90) }}

{%- for chsection in ('emails', 'ips', 'categories', 'detectors', 'analyzers', 'abuses', 'asns', 'countries') %}
{{ '[A.{:d}]'.format(loop.index) }} {{ report_labels.section_label_rep(chsection) }}
{{
    render_stats_table(
        stats_reports,
        chsection
    )
}}
{% endfor %}

{{ _('You may also view this summary report online:') }}
{{ format_url(additional_vars['url_dashboard_rep'], {'submit': 'Search', 'dt_from': dt_l.isoformat(sep = ' '), 'dt_to': dt_h.isoformat(sep = ' ')}) }}

{{ _('Have a nice day') }}

{{ _('Mentat System') }} ({{ _('https://mentat.cesnet.cz/en/index') }})
{{ _('CESNET-CERTS Computer Security Team') }} <certs@cesnet.cz> ({{ _('https://csirt.cesnet.cz/en/index') }})
{{ _('CESNET, z.s.p.o.') }} ({{ _('http://www.ces.net/') }})

---

{{ '{:20s}'.format(_('Timezone:')) }} {{ get_timezone() }}
{{ '{:20s}'.format(_('Generated at:')) }} {{ format_tzdatetime(dt_c) }}
{{ '{:20s}'.format(_('Time period:')) }} {{ format_tzdatetime(dt_l) }} - {{ format_tzdatetime(dt_h) }}
                    ({{ format_datetime(dt_l) }} - {{ format_datetime(dt_h) }} UTC)
